<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.modcluster.proxy.load-provider.dynamic.load-metric">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="weight,capacity,property,type"/>
        <elem name="addr-params" value="profile,subsystem,proxy,load-provider,load-metric"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.modcluster"/>
    </annotation>
    <refs>
        <ref feature="subsystem.modcluster.proxy.load-provider.dynamic"/>
        <ref feature="subsystem.modcluster.proxy"/>
        <ref feature="subsystem.modcluster"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="proxy" feature-id="true"/>
        <param name="load-metric" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="load-provider" feature-id="true" default="dynamic"/>
        <param name="property" nillable="true"/>
        <param name="subsystem" feature-id="true" default="modcluster"/>
        <param name="weight" nillable="true"/>
        <param name="type"/>
        <param name="capacity" nillable="true"/>
    </params>
</feature-spec>